<template>
    <div> 
        <b-card v-if="card.type==='Moradia'"
            :title="card.title"
            :img-src="card.src"
            img-alt="Imagem"
            img-top
            tag="article"
            style="max-width: 20rem;"
            class="mb-3  card-grey"
        >
            <b-card-text>
                {{ card.about }}
            </b-card-text>

            <b-button href="#" variant="warning">See More</b-button>
        </b-card>

        <b-card v-else
            tag="article"
            style="max-width: 20rem;"
            class="mb-3  card-grey"
        >
            <b-card-img top :src="card.src" class="card-image-user"/>
            <b-card-title> {{ card.title }} </b-card-title>
            <b-card-text> {{ card.about }} </b-card-text>

            <b-button href="#" variant="warning">See More</b-button>
        </b-card>
        <!--<div :class="'card-inner ' + card.color">
        
            <div class="card-image-wrap">
                <img :src="card.src" class="image" />
            </div>
            <div class="card-detail">
                <h2> {{card.title}} </h2>
                <p>Lorem ipsum dolor sit amet consectetur, 
                adipisicing elit. In consectetur eveniet quisquam 
                vero, ratione sapiente alias dignissimos 
                temporibus autem? Repellat?</p>
            </div>
        </div>-->
    </div>
</template>

<script>
export default {
    name: 'card',
    props: ['card']
}
</script>

<style scoped>

    
    .card {
        flex: 1 1 33.333%;
        width: 100%;
        margin-right: 20px; 
        box-shadow: 0px 0px 16px rgba(0, 0, 0, 0.25);
    }

    .card-grey {
        background-image: linear-gradient(to bottom right, #ffffff, #D3D3D3);
    }

    .card-image-user {
        border-radius: 100%;
        max-width: 200px;
        max-height:200px;
        
    }


    /* Estilização do Card comentado
    .card-inner {
        position: relative;
        padding: 25px;
        box-shadow: 0px 0px 16px rgba(0, 0, 0, 0.25);
    }

    .card-inner .card-grey{
        background-image: linear-gradient(to bottom right, #ffffff, #D3D3D3);
    }

    .card-image-wrap .image {
        width: 100%;
        filter: drop-shadow(0px 0px 12px rgba(0, 0, 0, 0.25));
    }

    .card-detail {
        padding: 25px;
        margin: 0px -25px -25px;
    }

    .card-detail h2 {
        font-size: 24px;
        font-weight: 700;
        margin-bottom: 15px;
    }
    .card-detail p {
        font-size: 14px;
        line-height: 1.5;
        font-weight: 300;

    }*/
</style>